local lg = love.graphics

sign = {x = 40, y = 480, img}

background = nil

black = {0, 0, 0, 255}

signText = {line1, line2, line3}
signText.line1 = {text, tag = 1}
signText.line2 = {text, tag = 2}
signText.line3 = {text, tag = 3}

textLine = {one, two, three}
textLine.one = {x = (sign.x + 20), y = (sign.y + 15), text = {black, "Line 1"}} -- This Text is Just A Placeholder
textLine.two = {x = (sign.x + 20), y = (sign.y + 45), text = {black, "Line 2"}} -- This Text is Just A Placeholder
textLine.three = {x = (sign.x + 20), y = (sign.y + 75), text = { black, "Line 3"}} -- This Text is Just A Placeholder

font = nil

signBool = false
--###############################################################--
function love.load()
	sign.img = lg.newImage('sign.png')
	background = lg.newImage('background.png')
	
	signText.line1.text = {black, "This is line 1 of the Sign"}
	signText.line2.text = {black, "This is line 2 of the Sign"}
	signText.line3.text = {black, "This is line 3 of the Sign"}
	
	for l, line in ipairs(signText) do --This is the Problem Child, It Always Sets all textLines to nil, or fails to overwrite previous text
		if line.tag == 1 then
			textLine.one.text = line.text
		end
		if line.tag == 2 then
			textLine.two.text = line.text
		end
		if line.tag == 3 then
			textLine.three.text = line.text
		end
	end
	
	scrollTimer = 0
	font = lg.newFont('font.ttf', 32)
	lg.setFont(font)
	
	signBool = false
end 

function love.update()
	 if love.keyboard.isDown('space') then
	 	signBool = true
	end
	
	 if love.keyboard.isDown('escape') then
	 	signBool = false
	end
end

function love.draw()
	lg.draw(background, 0, 0)
	
	if signBool then
		lg.draw(sign.img, sign.x, sign.y)
		lg.print(textLine.one.text, textLine.one.x, textLine.one.y)
		lg.print(textLine.two.text, textLine.two.x, textLine.two.y)
		lg.print(textLine.three.text, textLine.three.x, textLine.three.y)
	end
end

--###############################################################--